mlmmj-receive(1)

NAME
mlmmj-receive - receive mails for an mlmmj managed mailinglist

SYNOPSIS
mlmmj-receive -L /path/to/listdir [-h] [-V] [-P] [-F]

DESCRIPTION

-h  Print help

-F  Don't fork in the background "debugging only"

-L path
    Full path to list directory

-P  Don't execute mlmmj-process(1) "debugging only"

-V  Print version

The mlmmj-receive binary is the one specified in the mailserver configuration file (aliases file), which writes the mail to the <listdir>/incoming directory and invokes mlmmj-process(1) unless the -P option is specified. On systems using mailservers supporting the /etc/aliases file, a line to activate an mlmmj managed mailinglist would look like this:

    list: "|/usr/bin/mlmmj-receive -L /var/spool/mlmmj/list/"

It's very important to specify the full path to the binary, or the mailinglist will not function.

When the -F option is used, it will not fork in the background. The reason it forks is that if delivery of a mail takes longer time than the mail server will allow a command to be idle before presumed dead, the mail server would kill it.

SEE ALSO
mlmmj-process(1)

AUTHORS
This manual page was written by the following persons: Søren Boll Overgaard <boll@debian.org> (based on html2man output) Mads Martin Jørgensen <mmj@mmj.dk>